Store permissions for an analysis set or selection list

Use this API operation to configure permissions for an analysis set or selection list.

Request formats

This operation accepts multipart/form-data and application/x-www-form-urlencoded. It has no JSON body parameter: with Content-Type: application/json the request body is ignored, so the request fails with 400 Missing parameter unless all parameters are passed in the query string.

Examples

multipart/form-data:

curl -X POST 'https://tenant.alisqi.com/api/storeSetPermissions' \
  -H 'Authorization: Bearer <token>' \
  -F setId=12 -F userGroupId=3 -F permissions=read,insert

application/x-www-form-urlencoded:

curl -X POST 'https://tenant.alisqi.com/api/storeSetPermissions' \
  -H 'Authorization: Bearer <token>' \
  -d setId=12 -d userGroupId=3 -d permissions=read,insert
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
integer
required

The unique id of the analysis set or selection list.

This parameter is required and has no default.

Note: for historical reasons, this parameter is usually called maskid in AlisQI URLs. The API uses setId for consistency with the terminology used in the user interface.

integer
required

The unique id of the user group.

string
required

Comma-separated list of permissions, as a string (e.g. read,insert).

Possible permissions: read, insert, complete, modify, delete and specification. For selection lists, only read and modify are applicable.

To revoke all permissions of the user group, send this parameter with an empty value (permissions=). Leaving the parameter out results in 400 Bad Request.

Headers
string
enum
Defaults to multipart/form-data

Generated from available request content types

Allowed:
Responses

true if the permissions have been stored.

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json